## linux-grouper 3.1.10-1.1

=== drivers/staging/iio/gyro/Makefile ===
#
# Makefile for digital gyroscope sensor drivers
#

adis16060-y             := adis16060_core.o
obj-$(CONFIG_ADIS16060) += adis16060.o

adis16080-y             := adis16080_core.o
obj-$(CONFIG_ADIS16080) += adis16080.o

adis16130-y             := adis16130_core.o
obj-$(CONFIG_ADIS16130) += adis16130.o

adis16260-y             := adis16260_core.o
adis16260-$(CONFIG_IIO_RING_BUFFER) += adis16260_ring.o adis16260_trigger.o
obj-$(CONFIG_ADIS16260) += adis16260.o

adis16251-y             := adis16251_core.o
obj-$(CONFIG_ADIS16251) += adis16251.o

adxrs450-y             := adxrs450_core.o
obj-$(CONFIG_ADXRS450) += adxrs450.o

=== arch/sh/kernel/cpu/sh4a/Makefile ===
#
# Makefile for the Linux/SuperH SH-4 backends.
#

# CPU subtype setup
obj-$(CONFIG_CPU_SUBTYPE_SH7757)	+= setup-sh7757.o
obj-$(CONFIG_CPU_SUBTYPE_SH7763)	+= setup-sh7763.o
obj-$(CONFIG_CPU_SUBTYPE_SH7770)	+= setup-sh7770.o
obj-$(CONFIG_CPU_SUBTYPE_SH7780)	+= setup-sh7780.o
obj-$(CONFIG_CPU_SUBTYPE_SH7785)	+= setup-sh7785.o
obj-$(CONFIG_CPU_SUBTYPE_SH7786)	+= setup-sh7786.o intc-shx3.o
obj-$(CONFIG_CPU_SUBTYPE_SH7343)	+= setup-sh7343.o
obj-$(CONFIG_CPU_SUBTYPE_SH7722)	+= setup-sh7722.o serial-sh7722.o
obj-$(CONFIG_CPU_SUBTYPE_SH7723)	+= setup-sh7723.o
obj-$(CONFIG_CPU_SUBTYPE_SH7724)	+= setup-sh7724.o
obj-$(CONFIG_CPU_SUBTYPE_SH7366)	+= setup-sh7366.o
obj-$(CONFIG_CPU_SUBTYPE_SHX3)		+= setup-shx3.o intc-shx3.o

# SMP setup
smp-$(CONFIG_CPU_SHX3)			:= smp-shx3.o

# Primary on-chip clocks (common)
clock-$(CONFIG_CPU_SUBTYPE_SH7757)	:= clock-sh7757.o
clock-$(CONFIG_CPU_SUBTYPE_SH7763)	:= clock-sh7763.o
clock-$(CONFIG_CPU_SUBTYPE_SH7770)	:= clock-sh7770.o
clock-$(CONFIG_CPU_SUBTYPE_SH7780)	:= clock-sh7780.o
clock-$(CONFIG_CPU_SUBTYPE_SH7785)	:= clock-sh7785.o
clock-$(CONFIG_CPU_SUBTYPE_SH7786)	:= clock-sh7786.o
clock-$(CONFIG_CPU_SUBTYPE_SH7343)	:= clock-sh7343.o
clock-$(CONFIG_CPU_SUBTYPE_SH7722)	:= clock-sh7722.o hwblk-sh7722.o
clock-$(CONFIG_CPU_SUBTYPE_SH7723)	:= clock-sh7723.o hwblk-sh7723.o
clock-$(CONFIG_CPU_SUBTYPE_SH7724)	:= clock-sh7724.o hwblk-sh7724.o
clock-$(CONFIG_CPU_SUBTYPE_SH7366)	:= clock-sh7366.o
clock-$(CONFIG_CPU_SUBTYPE_SHX3)	:= clock-shx3.o

# Pinmux setup
pinmux-$(CONFIG_CPU_SUBTYPE_SH7722)	:= pinmux-sh7722.o
pinmux-$(CONFIG_CPU_SUBTYPE_SH7723)	:= pinmux-sh7723.o
pinmux-$(CONFIG_CPU_SUBTYPE_SH7724)	:= pinmux-sh7724.o
pinmux-$(CONFIG_CPU_SUBTYPE_SH7757)	:= pinmux-sh7757.o
pinmux-$(CONFIG_CPU_SUBTYPE_SH7785)	:= pinmux-sh7785.o
pinmux-$(CONFIG_CPU_SUBTYPE_SH7786)	:= pinmux-sh7786.o
pinmux-$(CONFIG_CPU_SUBTYPE_SHX3)	:= pinmux-shx3.o

obj-y					+= $(clock-y)
obj-$(CONFIG_SMP)			+= $(smp-y)
obj-$(CONFIG_GENERIC_GPIO)		+= $(pinmux-y)
obj-$(CONFIG_PERF_EVENTS)		+= perf_event.o
obj-$(CONFIG_HAVE_HW_BREAKPOINT)	+= ubc.o

=== debian/changelog ===
linux-grouper (3.1.10-1.1) saucy; urgency=low

  [ Andy Whitcroft ]

  * Revert "UBUNTU: SAUCE: Detect touchscreen"
  * [Packaging] switch package name to grouper 

 -- Andy Whitcroft <apw@canonical.com>  Thu, 02 May 2013 01:22:19 +0100

linux-nexus7 (3.1.10-10.28) raring; urgency=low

  [ Andy Whitcroft ]

  * ubuntu: overlayfs -- overlayfs: add statfs support
    - LP: #1076317
  * ubuntu: overlayfs -- overlayfs: apply device cgroup and security
    permissions to overlay files
    - LP: #1076317, #915941, #918212
    - CVE-2012-0055
  * [packaging] Rename from linaro to nexus7 -- part 2

  [ Erez Zadok ]

  * ubuntu: overlayfs -- overlayfs: implement show_options
    - LP: #1076317

  [ Miklos Szeredi ]

  * ubuntu: overlayfs -- vfs: pass struct path to __dentry_open()
    - LP: #1076317
  * ubuntu: overlayfs -- vfs: add i_op->open()
    - LP: #1076317
  * ubuntu: overlayfs -- vfs: export do_splice_direct() to modules
    - LP: #1076317
  * ubuntu: overlayfs -- vfs: introduce clone_private_mount()
    - LP: #1076317
  * ubuntu: overlayfs -- overlay filesystem
    - LP: #1076317
  * ubuntu: overlayfs -- fs: limit filesystem stacking depth
    - LP: #1076317

  [ Neil Brown ]

  * ubuntu: overlayfs -- overlay: overlay filesystem documentation
    - LP: #1076317

  [ Paolo Pisati ]

  * [Config] OVERLAYFS_FS=m
    - LP: #1076317
  * SAUCE: compilation fix for missing symbols
    - LP: #1076317

  [ Tim Gardner ]

  * Rebased against git://phablet.ubuntu.com/CyanogenMod/android_kernel_asus_grouper.git phablet-10.1
  * Updated configs to be more device consistent with
    arch/arm/configs/cyanogenmod_grouper_defconfig
    https://wiki.ubuntu.com/Touch/Porting#Kernel
    http://phablet.ubuntu.com/gitweb?p=CyanogenMod/android_kernel_asus_grouper.git;a=shortlog;h=refs/heads/phablet-10.1
  * Pull config changes from git://phablet.ubuntu.com/CyanogenMod/android_kernel_asus_grouper.git phablet-10.1
    CONFIG_NAMESPACES=y
    CONFIG_UTS_NS=y
    CONFIG_IPC_NS=y
    CONFIG_USER_NS=y
    CONFIG_PID_NS=y
    CONFIG_NET_NS=y
    CONFIG_DEVTMPFS=y
    CONFIG_DEVPTS_MULTIPLE_INSTANCES=y
    CONFIG_DNOTIFY=y
    CONFIG_FANOTIFY=y
    CONFIG_FANOTIFY_ACCESS_PERMISSIONS=y
    ONFIG_ANDROID_PARANOID_NETWORK=n
    ONFIG_DEVPTS_MULTIPLE_INSTANCES=y
    CONFIG_SYSVIPC=y
  * [packaging] Rename from linaro to nexus7

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 27 Feb 2013 11:55:02 -0700

linux-nexus7 (3.1.10-9.27) raring; urgency=low

  [ Upstream Kernel Changes ]

  * Rebase against android-tegra3-grouper-3.1-jb-mr1.1
    Proximity: Enable sensor by it's previous RIL setting when device resume from suspend.
    video: tegra: host: better error handling in alloc_gathers()
    net: wireless: bcmdhd: Enable P2P probe request handling only during discovery

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 19 Feb 2013 09:22:12 -0700

linux-nexus7 (3.1.10-9.26) raring; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: (no-up) quiet down stop_machine when running normally
    - LP: #1113396
  * SAUCE: cpu-tegra3: reduce noise waking and sleeping CPUs
    - LP: #1113396
  * SAUCE: (no-up) quiet CPU start/stop when system running normally
    - LP: #1113396
  * SAUCE: tegra -- quiet cpu start messages when system running normally
    - LP: #1113396

  [ Upstream Kernel Changes ]

  * ASoC: Disable "Register Control" for RT5640
    - LP: #1068804

 -- Andy Whitcroft <apw@canonical.com>  Mon, 04 Feb 2013 20:18:24 +0000

linux-nexus7 (3.1.10-9.25) raring; urgency=low

  [ Alex Hornung ]

  * SAUCE: power: bq27541_battery - fix units of energy_now
  * SAUCE: power: bq27541_driver - Add charge_full, charge_full_design

 -- Andy Whitcroft <apw@canonical.com>  Thu, 31 Jan 2013 11:26:26 +0000

linux-nexus7 (3.1.10-9.24) raring; urgency=low

  [ Alex Hornung ]

  * SAUCE: power: bq27541_battery - Provide current_now
    - LP: #1093543

  [ Andy Whitcroft ]

  * [Config] switch from USB_G_SERIAL to USB_CDC_COMPOSITE

 -- Andy Whitcroft <apw@canonical.com>  Wed, 30 Jan 2013 12:14:28 +0000

linux-nexus7 (3.1.10-9.23) raring; urgency=low

  [ Alex Hornung ]

  * SAUCE: power: bq27541 driver - serialize get_property
    - LP: #1093543
  * SAUCE: power: bq27541_battery - Provide energy measurement
    - LP: #1109183

 -- Andy Whitcroft <apw@canonical.com>  Tue, 29 Jan 2013 20:07:36 +0000

linux-nexus7 (3.1.10-9.22) raring; urgency=low

  [ Jani Monoses ]

  * Revert "SAUCE: Report landscape mode coordinates in touchscreen"

  [ Tim Gardner ]

  * SAUCE: (no-up) raise the default console 'quiet' level to 2

 -- Andy Whitcroft <apw@canonical.com>  Tue, 29 Jan 2013 09:38:31 +0000

linux-nexus7 (3.1.10-8.21) raring; urgency=low

  [ Scott James Remnant ]

  * SAUCE: (no-up) trace: add trace events for open(), exec() and uselib()
    - LP: #1096919

  [ Tim Gardner ]

  * [Config] CONFIG_FONTS=n, CONFIG_FONT_8x8=y
    Make consistent with x86 kernel.

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 08 Jan 2013 06:19:21 -0700

linux-nexus7 (3.1.10-8.20) raring; urgency=low

  [ Tim Gardner ]

  * [Config] CONFIG_BLK_DEV_IO_TRACE=y
    - LP: #1096919

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 07 Jan 2013 08:28:50 -0700

linux-nexus7 (3.1.10-8.19) raring; urgency=low

  [ Stéphane Graber ]

  * [Config] missing modules for LXC
    enable bridging and associated filter modules.

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 02 Jan 2013 05:59:39 -0700

linux-nexus7 (3.1.10-8.18) raring; urgency=low

  [ Tim Gardner ]

  * [Config] CONFIG_ELF_CORE=y

 --  Tim Gardner <tim.gardner@canonical.com>  Fri, 14 Dec 2012 07:45:39 -0700

linux-nexus7 (3.1.10-8.17) raring; urgency=low

  [ Tim Gardner ]

  * [Config] Updated getabis path

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: Add ACL MTU, available buffers and total buffers to
    hci_conn_info."
    - LP: #1070770

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 06 Dec 2012 07:26:05 -0700

linux-nexus7 (3.1.10-8.16) raring; urgency=low

  [ Oliver Grawert ]



=== debian/control ===
Source: linux-grouper
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-nexus7.git

Package: linux-headers-3.1.10-1
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
#Provides: linux-grouper-headers, linux-grouper-headers-2.6
Description: Header files related to Linux kernel version 3.1.10
 This package provides kernel header files for version 3.1.10, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-grouper-headers-3.1.10-1/debian.README.gz for details


Package: linux-image-3.1.10-1-grouper
Architecture: armhf
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel
Suggests: fdutils, linux-grouper-doc-3.1.10 | linux-grouper-source-3.1.10, linux-grouper-tools
Description: Linux kernel image for version 3.1.10 on Nexus 7
 This package contains the Linux kernel image for version 3.1.10 on
 Nexus 7.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Nexus 7 processors.
 .
 Nexus 7 tablet
 .
 You likely do not want to install this package directly. Instead, install
 the linux-grouper meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.1.10-1-grouper
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.1.10-1, ${shlibs:Depends}
Description: Linux kernel headers for version 3.1.10 on Nexus 7
 This package provides kernel header files for version 3.1.10 on
 Nexus 7.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-grouper-headers-3.1.10-1/debian.README.gz for details.

Package: linux-image-3.1.10-1-grouper-dbgsym
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.1.10 on Nexus 7
 This package provides a kernel debug image for version 3.1.10 on
 Nexus 7.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

## linux-grouper 3.1.10-2.3

=== Makefile ===
VERSION = 3
PATCHLEVEL = 1
SUBLEVEL = 10
EXTRAVERSION =
NAME = "Divemaster Edition"

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export KBUILD_CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS

=== debian/changelog ===
linux-grouper (3.1.10-2.3) saucy; urgency=low

  [ Tim Gardner ]

  * Added ubuntu directory and build files
  * Added lttng

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 21 May 2013 13:45:39 -0600

linux-grouper (3.1.10-2.2) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] sync debian to saucy master-next
  * [Packaging] switch headers to src package specific naming
  * Disable udeb generation

  [ Ricardo Salveti de Araujo ]

  * [Config] Restoring Android related configs needed by Ubuntu Touch

 -- Andy Whitcroft <apw@canonical.com>  Fri, 10 May 2013 16:55:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
 Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-nexus7.git
 
-Package: linux-headers-3.1.10-1
+Package: linux-grouper-headers-3.1.10-2
 Architecture: armhf
 Section: devel
 Priority: optional
@@ -17,10 +17,10 @@
 Description: Header files related to Linux kernel version 3.1.10
  This package provides kernel header files for version 3.1.10, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-grouper-headers-3.1.10-1/debian.README.gz for details
+ /usr/share/doc/linux-grouper-headers-3.1.10-2/debian.README.gz for details
 
 
-Package: linux-image-3.1.10-1-grouper
+Package: linux-image-3.1.10-2-grouper
 Architecture: armhf
 Section: admin
 Priority: optional
@@ -45,19 +45,19 @@
  the linux-grouper meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-3.1.10-1-grouper
+Package: linux-headers-3.1.10-2-grouper
 Architecture: armhf
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.1.10-1, ${shlibs:Depends}
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-grouper-headers-3.1.10-2, ${shlibs:Depends}
 Description: Linux kernel headers for version 3.1.10 on Nexus 7
  This package provides kernel header files for version 3.1.10 on
  Nexus 7.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-grouper-headers-3.1.10-1/debian.README.gz for details.
+ /usr/share/doc/linux-grouper-headers-3.1.10-2/debian.README.gz for details.
 
-Package: linux-image-3.1.10-1-grouper-dbgsym
+Package: linux-image-3.1.10-2-grouper-dbgsym
 Architecture: armhf
 Section: devel
 Priority: optional

## linux-grouper 3.1.10-3.4

=== debian/changelog ===
linux-grouper (3.1.10-3.4) saucy; urgency=low

  [ Tim Gardner ]

  * UBUNTU: Sync with phablet defconfig
  * UBUNTU: Force gcc-4.6
  * Rebase against git://phablet.ubuntu.com/CyanogenMod/android_kernel_asus_grouper.git d738a59c2c58fe7b874a8a7d82d0b4ba4eb0ca8c
    Dropped conflicting and superfluous UBUNTU battery patches.

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 23 May 2013 06:32:46 -0600

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 3.8.4.0
-Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev
+Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev, gcc-4.6
 Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
 Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
 Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-nexus7.git
 
-Package: linux-grouper-headers-3.1.10-2
+Package: linux-grouper-headers-3.1.10-3
 Architecture: armhf
 Section: devel
 Priority: optional
@@ -17,10 +17,10 @@
 Description: Header files related to Linux kernel version 3.1.10
  This package provides kernel header files for version 3.1.10, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-grouper-headers-3.1.10-2/debian.README.gz for details
+ /usr/share/doc/linux-grouper-headers-3.1.10-3/debian.README.gz for details
 
 
-Package: linux-image-3.1.10-2-grouper
+Package: linux-image-3.1.10-3-grouper
 Architecture: armhf
 Section: admin
 Priority: optional
@@ -45,19 +45,19 @@
  the linux-grouper meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-3.1.10-2-grouper
+Package: linux-headers-3.1.10-3-grouper
 Architecture: armhf
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-grouper-headers-3.1.10-2, ${shlibs:Depends}
+Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-grouper-headers-3.1.10-3, ${shlibs:Depends}
 Description: Linux kernel headers for version 3.1.10 on Nexus 7
  This package provides kernel header files for version 3.1.10 on
  Nexus 7.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-grouper-headers-3.1.10-2/debian.README.gz for details.
+ /usr/share/doc/linux-grouper-headers-3.1.10-3/debian.README.gz for details.
 
-Package: linux-image-3.1.10-2-grouper-dbgsym
+Package: linux-image-3.1.10-3-grouper-dbgsym
 Architecture: armhf
 Section: devel
 Priority: optional

## linux-grouper 3.1.10-3.6

=== debian/changelog ===
linux-grouper (3.1.10-3.6) saucy; urgency=low

  [ Tim Gardner ]

  * Enable perf tools build. New packages are:
    linux-grouper-tools-3.1.10 and
    linux-grouper-tools-common.
  * UBUNTU: CONFIG_KEYS=y

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 06 Jun 2013 10:24:25 -0600

linux-grouper (3.1.10-3.5) saucy; urgency=low

  [ Tim Gardner ]

  * UBUNTU: Sync with mainline distro defconfig
    UBUNTU: CONFIG_TMPFS_POSIX_ACL=y
    UBUNTU: CONFIG_DEVTMPFS_MOUNT=y
    UBUNTU: CONFIG_DEFAULT_MMAP_MIN_ADDR=32768
    UBUNTU: CONFIG_STRICT_DEVMEM=y
    UBUNTU: CONFIG_CC_STACKPROTECTOR=y
    UBUNTU: CONFIG_SECCOMP=y
    UBUNTU: CONFIG_SECURITY=y
    UBUNTU: CONFIG_COMPAT_BRK=n
  * UBUNTU: The kernel does not depend on wireless-crda
  * UBUNTU: Enable lttng
  * UBUNTU: undef TRACE_HEADER_MULTI_READ in lttng ext3.h

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 30 May 2013 08:01:19 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-nexus7.git
 
 Package: linux-grouper-headers-3.1.10-3
-Architecture: armhf
+Architecture: all
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
@@ -19,13 +19,34 @@
  that want the latest kernel headers. Please read
  /usr/share/doc/linux-grouper-headers-3.1.10-3/debian.README.gz for details
 
+Package: linux-grouper-tools-common
+Architecture: all
+Section: kernel
+Priority: optional
+Depends: ${misc:Depends}
+Description: Linux kernel version specific tools for version 3.1.10
+ This package provides the architecture independent parts for kernel
+ version locked tools (such as perf and x86_energy_perf_policy) for
+ version PGKVER.
+
+Package: linux-grouper-tools-3.1.10-3
+Architecture: armhf
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-grouper-tools-common
+Description: Linux kernel version specific tools for version 3.1.10-3
+ This package provides the architecture dependant parts for kernel
+ version locked tools (such as perf and x86_energy_perf_policy) for
+ version 3.1.10-3 on
+ .
+
 
 Package: linux-image-3.1.10-3-grouper
 Architecture: armhf
 Section: admin
 Priority: optional
 Pre-Depends: dpkg (>= 1.10.24)
-Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
+Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3)
 Conflicts: hotplug (<< 0.0.20040105-1)
 Recommends: flash-kernel
 Suggests: fdutils, linux-grouper-doc-3.1.10 | linux-grouper-source-3.1.10, linux-grouper-tools

## linux-grouper 3.1.10-3.7

=== debian/changelog ===
linux-grouper (3.1.10-3.7) saucy; urgency=low

  * UBUNTU: Build-Depends: python-dev
    Fixes FTBS

 --  Tim Gardner <tim.gardner@canonical.com>  Fri, 07 Jun 2013 12:09:30 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 3.8.4.0
-Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev, gcc-4.6
+Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), libelf-dev, binutils-dev, rsync, libdw-dev, gcc-4.6, python-dev
 Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
 Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
 Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-nexus7.git

## linux-grouper 3.1.10-4.8

=== debian/changelog ===
linux-grouper (3.1.10-4.8) saucy; urgency=low

    * UBUNTU: [Config] CONFIG_VT=y
      Fixes boot issues with swapped container model, e.g., booting
      Ubuntu with Android in a container.

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 11 Jun 2013 08:24:52 -0600
